org.apache.lucene.util

## Interface BytesRefIterator

- All Known Implementing Classes:
    FilterAtomicReader.FilterTermsEnum, FilteredTermsEnum, FuzzyTermsEnum, MultiTermsEnum, PrefixTermsEnum, SingleTermsEnum, SortedDocValuesTermsEnum, SortedSetDocValuesTermsEnum, TermRangeTermsEnum, TermsEnum

      public interface BytesRefIterator

  A simple iterator interface for `BytesRef` iteration.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BytesRefIterator` | `EMPTY` Singleton BytesRefIterator that iterates over 0 BytesRefs.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Comparator<BytesRef>` | `getComparator()` Return the `BytesRef` Comparator used to sort terms provided by the iterator.
    `BytesRef` | `next()` Increments the iteration to the next `BytesRef` in the iterator.

- - ### Field Detail

    - #### EMPTY

          static final BytesRefIterator EMPTY

      Singleton BytesRefIterator that iterates over 0 BytesRefs.

  - ### Method Detail

    - #### next

          BytesRef next()
                        throws IOException

      Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.
      Returns:
        the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### getComparator

          Comparator<BytesRef> getComparator()

      Return the `BytesRef` Comparator used to sort terms provided by the iterator. This may return null if there are no items or the iterator is not sorted. Callers may invoke this method many times, so it's best to cache a single instance & reuse it.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.